﻿
Imports System.Linq.Expressions
Imports System.Runtime.CompilerServices
Imports Microsoft.EntityFrameworkCore


Public Module QueryableExtensions
    <Extension>
    Public Function Include(Of TEntity As Class)(ByVal queryable As IQueryable(Of TEntity), prop As String) As IQueryable(Of TEntity)
        Return EntityFrameworkQueryableExtensions.Include(Of TEntity)(queryable, navigationPropertyPath:=prop)
    End Function
    <Extension>
    Public Function Include(Of TEntity As Class, TProperty As Class)(ByVal queryable As IQueryable(Of TEntity), ByVal predicate As Expression(Of Func(Of TEntity, TProperty))) As IQueryable(Of TEntity)
        Return EntityFrameworkQueryableExtensions.Include(Of TEntity, TProperty)(queryable, predicate)
    End Function


End Module