Imports Model.Interfaces

Namespace MyERP2Model
    Partial Public Class Client
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp
        Implements IProtocolable

#Region "Mapped"
        Public Property Id As Guid
        Public Property StatusId As Integer
        Public Property IdentNr As String
        Public Property OwningUserId As Integer
        Public Property IsActive As Boolean?
        Public Property IsPrivate As Boolean?
        Public Property IsLead As Boolean?
#End Region

#Region "Navigation Properties"
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
        Public Property Protocol As ICollection(Of Protocol) Implements IProtocolable.Protocol
#End Region
    End Class
End Namespace