﻿Imports System.Collections.ObjectModel
Imports Model.Interfaces

Namespace MyERP2Model
    Public Class FilterDefinition
        Inherits ModelBase
        Implements ILogicalTimestamp

#Region "Properties"
        Public Property Id As Guid
        Public Property RelatesToType As String
        Public Property Description As String
#End Region

#Region "Navigation Properties"
        Public Overridable Property NVFilterItems As New ObservableCollection(Of FilterItem)
#End Region

#Region "Interfaces"
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region


    End Class
End Namespace