﻿Imports Model.Interfaces

Namespace MyERP2Model
    Public Class Protocol
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp

        Sub New()

        End Sub

        Sub New(_OldValue As String, _NewValue As String)
            OldValue = _OldValue
            NewValue = _NewValue
        End Sub

        Public Overrides Function ToString() As String
            Return $"Oldvale:{OldValue} - NewValue: {NewValue}"
        End Function

#Region "Properties"
        Public Overridable Property Id As Guid
        Public Overridable Property OldValue As String
        Public Overridable Property NewValue As String
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region

    End Class
End Namespace