﻿Imports Model.Interfaces

Namespace MyERP2Model
    Public Class TextDescription
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp

#Region "Mapped"
        Public Property Id As Guid
        Public Property HeaderId As Guid
        Public Property LanguageId As Guid
        Public Property Text As String
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvHeader As TextDescriptionHeader
        Public Overridable Property NvLanguage As Language

#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region

    End Class

End Namespace