﻿
Imports Model.Interfaces

Namespace MyERP2Model
    Public Class UserGroupRight
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp

#Region "Mapped"
        Public Property Id As Guid
        Public Property GroupId As Guid
        Public Property Authorization As String
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvUserGroup As UserGroup
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region


    End Class
End Namespace