﻿
Imports System.Data.SqlClient
Imports ViewModel.ViewModel
Imports ViewModel

Class Application
    Private Sub Application_Startup(sender As Object, e As StartupEventArgs) Handles Me.Startup
    End Sub

    Protected Overrides Sub OnStartup(e As StartupEventArgs)
        MyBase.OnStartup(e)

        Dim vLogin As New LoginFrm
        vLogin.ShowDialog()
        If vLogin.DialogResult Then

            Dim vVM As LoginVM = DirectCast(vLogin.DataContext, LoginVM)
            Using bl As New BL.LoginBl()
                InstanceHolder.Instance.CurrentConnectionstring = bl.GetConnectionString(vVM.SelectedServer, vVM.SelectedDatabase, vVM.Username, vVM.Password)
                If Not Task.Run(Function() bl.CanUserLogon(vVM.Username, vVM.Password)).GetAwaiter.GetResult Then
                    MessageBox.Show("Kein Benutzer gefunden oder fehlerhafter Login")
                Else
                    InstanceHolder.Instance.CurrentUserInfo = bl.GetUserInformationIncludingGroupsAndSettings(vVM.Username)
                    Dim w = New MainWindow
                    MainWindow = w
                    With w
                        .WindowState = WindowState.Maximized
                        .ShowActivated = True
                        .Show()
                        .Activate()
                        .BringIntoView()
                    End With
                End If
            End Using

        End If
    End Sub







    ' Application-level events, such as Startup, Exit, and DispatcherUnhandledException
    ' can be handled in this file.

End Class
