﻿Namespace ViewModel
    Public Class ArticleAddEditVM
        Inherits MyViewModelBase

        Dim vCurrentArticle As ArticleVM
        Public Property CurrentArticle As ArticleVM
            Get
                Return vCurrentArticle
            End Get
            Set(value As ArticleVM)
                vCurrentArticle = value
                RaisePropertyChanged()
            End Set
        End Property

        Dim vFormTitle As String
        Public Property FormTitle As String
            Get
                Return vFormTitle
            End Get
            Set(value As String)
                vFormTitle = value
                RaisePropertyChanged()
            End Set
        End Property

        Sub New()
            Me.New(Nothing)
        End Sub

        Protected Friend Sub New(Optional _Article As ArticleVM = Nothing)
            If IsInDesignMode Then
                CurrentArticle = New ArticleVM With {.ArtNr = "TestArtNr", .Description1 = "Test1", .Description2 = "Test2"}
            End If
            If _Article IsNot Nothing Then
                CurrentArticle = _Article
                FormTitle = "Artikel bearbeiten"
            Else
                CurrentArticle = New ArticleVM
                FormTitle = "Artikel hinzufügen"
            End If
        End Sub
    End Class
End Namespace

