﻿Imports GalaSoft.MvvmLight.CommandWpf
Imports ViewModel.ViewModel

Namespace ViewModel

    'http://dotnetpattern.com/mvvm-light-messenger => Infos about mvvm light messenger

    ''' <summary>
    ''' This class contains properties that the main View can data bind to.
    ''' <para>
    ''' Use the <strong>mvvminpc</strong> snippet to add bindable properties to this ViewModel.
    ''' </para>
    ''' <para>
    ''' You can also use Blend to data bind with the tool's support.
    ''' </para>
    ''' <para>
    ''' See http://www.galasoft.ch/mvvm
    ''' </para>
    ''' </summary>
    Public Class MainViewModel
        Inherits MyViewModelBase


        ''Changeable Zoom Variable is used in the MainWindow for using the Zoom Slider
        'Dim vZoom As Double = 1
        'Public Overloads Property Zoom As Double
        '    Get
        '        If SingletonUserRights.Instance.CurrentUser Is Nothing Then Return 1
        '        Return SingletonUserRights.Instance.CurrentUser.Zoom
        '        'Return vZoom
        '    End Get
        '    Set(value As Double)
        '        vZoom = value
        '        Dim vCUser = SingletonUserRights.Instance.CurrentUser
        '        vCUser.Zoom = value
        '        'Save it directly to the database:
        '        dbo.Users.Where(Function(x) x.Id = vCUser.Id).First.Zoom = value
        '        dbo.SaveChanges()
        '        RaisePropertyChanged("Zoom")
        '        RaisePropertyChanged("CurrentUser")
        '    End Set
        'End Property

        'Public ReadOnly Property CurrentUser As UserVM
        '    Get
        '        Return SingletonUserRights.Instance.CurrentUser
        '    End Get
        'End Property


        Public ReadOnly Property UsedMemory As Long
            Get
                'Return it in MB
                Debug.Print($"Memory: {GC.GetTotalMemory(True) / 1024 ^ 2}")
                Return CLng(GC.GetTotalMemory(True) / 1024 ^ 2)
            End Get
        End Property

        '''' <summary>
        '''' Saves current user settings to database
        '''' </summary>
        'Public Sub SaveCurrentUserSettings()
        '    Dim vCUser As User = SingletonUserRights.Instance.CurrentUser
        '    If vCUser Is Nothing Then
        '        Return
        '    Else
        '        vCUser.Zoom = Zoom
        '        Try
        '            dbo.Entry(vCUser).State = EntityState.Modified
        '            dbo.SaveChanges()
        '        Catch ex As Exception
        '            cls_logger.v_logger.Error(ex.Message.ToString)
        '        End Try
        '    End If
        'End Sub

        'Global Busyindicator Status:
        Dim v_isbusy As Boolean = True
        Public Property GlobalBusy As Boolean
            Get
                Return v_isbusy
            End Get
            Set(value As Boolean)
                If v_isbusy <> value Then
                    v_isbusy = value
                    RaisePropertyChanged("GlobalBusy")
                End If
            End Set
        End Property

        Public Sub New()
            'Initiating the model
            'GlobalBusy = False
            'TrySplashMessage("Startup abgeschlossen")

            'CurrentlyMainWindowDisplayedObject = UserRoleCenter
            ''Register a Messenger to receive "overview" commands which cause an overview view to be displayed:
            'MessengerInstance.Register(Of Object)(Me, "overview", Sub(p) CurrentlyMainWindowDisplayedObject = p)

            'RaisePropertyChanged("Zoom")
        End Sub

        'Dim vUserRoleCenter As New uclRoleCenter
        'Public Property UserRoleCenter As uclRoleCenter
        '    Get
        '        Return vUserRoleCenter
        '    End Get
        '    Set(value As uclRoleCenter)
        '        vUserRoleCenter = value
        '        RaisePropertyChanged("UserRoleCenter")
        '    End Set
        'End Property


        'Dim vCurrentlyMainWindowDisplayedObject As New Object
        'Public Property CurrentlyMainWindowDisplayedObject As Object
        '    Get
        '        Return vCurrentlyMainWindowDisplayedObject
        '    End Get
        '    Set(value As Object)
        '        vCurrentlyMainWindowDisplayedObject = value
        '        RaisePropertyChanged("CurrentlyMainWindowDisplayedObject")
        '    End Set
        'End Property


        '#Region "Home Menu"

        '    Public Property AvailableViews As List(Of UserSettingsGrid) = dbo.UserSettingsGrids.Where(Function(x) x.UserId = SingletonUserRights.Instance.CurrentUser.Id AndAlso x.Deleted = False AndAlso x.InDashboard = True).ToList

        '    Public Property CmdOpenView As New RelayCommand(Of UserSettingsGrid)(Sub(p) OpenView(p, False), Function(p) p IsNot Nothing)
        '    Public Property CmdOpenViewNewWindow As New RelayCommand(Of UserSettingsGrid)(Sub(p) OpenView(p, True), Function(p) p IsNot Nothing)

        '    Private Sub OpenView(vViewToOpen As UserSettingsGrid, vNewWindow As Boolean)
        '        If vViewToOpen Is Nothing OrElse vViewToOpen.Deleted = True Then Exit Sub

        '        Select Case True
        '            Case vViewToOpen.GridName.ToLower = "dgArticles".ToLower
        '                Dim vVM As New VMArticleMenu
        '                If vNewWindow Then
        '                    vVM.CmdArticlesOverviewNewWindow.Execute(vViewToOpen)
        '                Else
        '                    vVM.CmdArticlesOverview.Execute(vViewToOpen)
        '                End If
        '            Case Else
        '                Return
        '        End Select
        '    End Sub
        '#End Region

    End Class
End Namespace
