﻿Imports Model.Interfaces

Namespace MyERP2Model
    Public Class FilterItem
        Inherits ModelBase
        Implements ISequencedObject

#Region "Properties"
        Public Property Id As Guid
        Public Property FilterId As Guid
        Public Property LeftParenthesis As String
        Public Property RightParenthesis As String
        Public Property TypeStr As String
        Public Property PropertyStr As String
        Public Property FilterValueStr As String
        Public Property FilterValueInt As Integer
        Public Property FilterValueDec As Decimal
        Public Property FilterValueDate As Date
        Public Property Comparer As String
        Public Property Link As String
        Public Property Aktiv As Boolean
#End Region

#Region "Navigation Properties"
        Public Overridable Property NVFilterDefinition As FilterDefinition
#End Region

#Region "Interfaces"
        Public Property SequenceNumber As Integer Implements ISequencedObject.SequenceNumber
#End Region


    End Class
End Namespace