Imports System.Collections.ObjectModel
Imports Model.Interfaces

Namespace MyERP2Model
    Partial Public Class Language
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp

#Region "Mapped"
        Public Property Id As Guid
        Public Property IsoCode As String
        Public Property IsoLong As String
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvContactBase As New ObservableCollection(Of ContactBase)
        Public Overridable Property NvDescription As New ObservableCollection(Of ObjectDescription)
        Public Overridable Property NVTextDescriptions As New ObservableCollection(Of TextDescription)
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region
    End Class
End Namespace