﻿Imports Model.Interfaces

Namespace MyERP2Model

    Public Class NumberRange
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp

#Region "Mapped"
        Public Property Id As Guid
        Public Property Entity As String
        Public Property Name As String
        Public Property Pattern As String
        Public Property StartNo As Integer
        Public Property LastNo As Integer
        Public Property LastDate As Date
        Public Property IsInUse As Boolean
        Public Property IsActive As Boolean
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region

    End Class
End Namespace